Name:           nautilus-sendto
Version:        0.4
Release:        4%{?dist}
Summary:        Nautilus context menu for sending files

Group:          User Interface/Desktops
License:        GPL
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-desktop-devel, evolution-data-server-devel
BuildRequires:	nautilus >= 2.5.4


%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.  This package provides a default plugin for
Evolution integration.


%package gaim
Summary:	Nautilus integration for GAIM
Group:		User Interface/Desktops
BuildRequires:  gaim >= 1.0
Requires:	%{name} = %{version}-%{release}
Requires:	gaim >= 1.0

%description gaim
A nautilus-sendto plugin for sending files via GAIM.


# Need gnome-bluetooth-devel >= 0.6, currently only in FC5+, for bluez support
%if "%fedora" > "4"
%package bluetooth
Summary:	Nautilus integration for Bluetooth
Group:		User Interface/Desktops
BuildRequires:	gnome-bluetooth-devel, bluez-libs-devel
Requires:	%{name} = %{version}-%{release}

%description bluetooth
A nautilus-sendto plugin for sending files via Bluetooth.
%endif


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/nautilus/extensions-1.0/libnautilus-sendto.so
%dir %{_libdir}/nautilus-sendto
%dir %{_libdir}/nautilus-sendto/plugins
%{_libdir}/nautilus-sendto/plugins/libevolution.so
%{_datadir}/nautilus-sendto
%{_bindir}/nautilus-sendto

%files gaim
%defattr(-,root,root,-)
%{_libdir}/nautilus-sendto/plugins/libgaim.so
%{_libdir}/gaim/nautilus.so

%if "%{fedora}" > "4"
%files bluetooth
%defattr(-,root,root,-)
%{_libdir}/nautilus-sendto/plugins/libbluetooth.so
%endif


%changelog
* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-3
- Eliminate superfluous Requires

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-3
- Rearrange Requires and BuildRequires for subpackages
- Include default Evolution plugin in main package

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-2
- Use appropriate BuildRequires for nautilus and gaim

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-1
- Initial version
